package com.yeejoin.amos.boot.module.ugp.api.Enum;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author cpp
 * @Description    检验检测阶段
 * @Date 2022/10/17
 */
@Getter
@AllArgsConstructor
public enum  StageEnum {

    焊前人员("人员确定","STAFF","人员"),
    焊前设备("设备确定","EQUIPMENT","设备"),
    焊前管材质量("管材确定","BEFORE-WELDING","管材"),
    焊接工艺("工艺确定","CRAFT","工艺"),
    管道耐压("耐压确定","VOLTAGE","耐压"),
    敷设质量("敷设确定","LAY","敷设"),
    定位("定位确定","LOTCATION","定位");

    private String name;
    private String stage;

    private String verifyName;





    public static Map<String,String> getNameByNameMap = new HashMap<>();
    public static Map<String,String> getStatusByVerifyNameMap = new HashMap<>();
    static {
        for(StageEnum enums:StageEnum.values()){
            getNameByNameMap.put(enums.stage,enums.name);
            getStatusByVerifyNameMap.put(enums.stage, enums.verifyName);
        }
    }




}